io.undertow.attribute

## Class RequestLineAttribute.Builder

- java.lang.Object
- - io.undertow.attribute.RequestLineAttribute.Builder

All Implemented Interfaces:
  ExchangeAttributeBuilder

Enclosing class:
  RequestLineAttribute

    public static final class RequestLineAttribute.Builder
    extends Object
    implements ExchangeAttributeBuilder

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ExchangeAttribute` `build(String token)` Build the attribute from a text based representation.
`String` `name()` The string representation of the attribute name.
`int` `priority()` The priority of the builder.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### name

    public String name()

Description copied from interface: `ExchangeAttributeBuilder`
The string representation of the attribute name. This is used solely for debugging / informational purposes

Specified by:
  `name` in interface `ExchangeAttributeBuilder`
Returns:
  The attribute name

#### build

    public ExchangeAttribute build(String token)

Description copied from interface: `ExchangeAttributeBuilder`
Build the attribute from a text based representation. If the attribute does not understand this representation then it will just return null.

Specified by:
  `build` in interface `ExchangeAttributeBuilder`
Parameters:
  `token` - The string token
Returns:
  The exchange attribute, or null

#### priority

    public int priority()

Description copied from interface: `ExchangeAttributeBuilder`
The priority of the builder. Builders will be tried in priority builder. Built in builders use the priority range 0-100,

Specified by:
  `priority` in interface `ExchangeAttributeBuilder`
Returns:
  The priority